# DoubleClick Bid Manager API . lineitems

## Instance Methods

Retrieves line items in CSV format.

Uploads line items in CSV format.

### Method Details

`downloadlineitems(body)`

    Retrieves line items in CSV format.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # Request to fetch stored line items.
        "fileSpec": "A String", # File specification (column names, types, order) in which the line items will be returned. Default to EWF.
        "filterType": "A String", # Filter type used to filter line items to fetch.
        "filterIds": [ # Ids of the specified filter type used to filter line items to fetch. If omitted, all the line items will be returned.
          "A String",
        ],
        "format": "A String", # Format in which the line items will be returned. Default to CSV.
      }

    Returns:
      An object of the form:

        { # Download line items response.
        "lineItems": "A String", # Retrieved line items in CSV format. Refer to  Entity Write File Format or  Structured Data File Format for more information on file formats.
      }

`uploadlineitems(body)`

    Uploads line items in CSV format.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # Request to upload line items.
        "lineItems": "A String", # Line items in CSV to upload. Refer to  Entity Write File Format for more information on file format.
        "dryRun": True or False, # Set to true to get upload status without actually persisting the line items.
        "format": "A String", # Format the line items are in. Default to CSV.
      }

    Returns:
      An object of the form:

        { # Upload line items response.
        "uploadStatus": { # Represents the status of upload. # Status of upload.
          "errors": [ # Reasons why upload can't be completed.
            "A String",
          ],
          "rowStatus": [ # Per-row upload status.
            { # Represents the upload status of a row in the request.
              "errors": [ # Reasons why the entity can't be uploaded.
                "A String",
              ],
              "entityName": "A String", # Entity name.
              "changed": True or False, # Whether the stored entity is changed as a result of upload.
              "rowNumber": 42, # Row number.
              "persisted": True or False, # Whether the entity is persisted.
              "entityId": "A String", # Entity Id.
            },
          ],
        },
      }